<?php
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Sidebar',
'before_widget' => '<ul><li>', // Removes <li>
'after_widget' => '</ul>', // Removes </li>
'before_title' => '<h2>', // Replaces <h2>
'after_title' => '</h2>', // Replaces </h2>
));
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Sidebar Home (top)',
'before_widget' => '<ul><li>', // Removes <li>
'after_widget' => '</ul>', // Removes </li>
'before_title' => '<h2>', // Replaces <h2>
'after_title' => '</h2>', // Replaces </h2>
));
$themename = "Fluid-Width Customizable CSS";
$shortname = "FG";
$options = array (
    array(    "name" => "Body Background Color",
            "id" => $shortname."_body_backgroundcolor",
            "std" => "#9F9F9F",
            "type" => "text"),
    array(    "name" => "Header and Main Container Background Color",
            "id" => $shortname."_page_color",
            "std" => "#292404",
            "type" => "text"),
    array(    "name" => "Content Box Border",
            "id" => $shortname."_box_border",
            "std" => "#000000",
            "type" => "text"),
    array(    "name" => "Body Font Family",
            "id" => $shortname."_body_font",
			"std" => "berling antiqua, bookman oldstyle, serif",
            "type" => "select",
            "options" => array("berling antiqua, bookman oldstyle, serif", "verdana, sans-serif", "arial, sans-serif", "times new roman, serif", "ms trebuchet, helvetica, sans-serif")),
    array(    "name" => "Body Font Color",
            "id" => $shortname."_body_color",
            "std" => "#555555",
            "type" => "text"),
    array(    "name" => "Font Size (article and comment body text)",
            "details" => "<b>%</b>, <b>em</b>, <b>px</b> or <b>pt</b> can all be used. Examples: '120%', '1.2em' or '12px'",
			"id" => $shortname."_text_size",
            "std" => "1em",
            "type" => "text"),
     array(    "name" => "Link Color",
            "id" => $shortname."_link_color",
            "std" => "#000000",
            "type" => "text"),
    array(    "name" => "Site Title Color",
            "id" => $shortname."_home_color",
            "std" => "#eeeeee",
            "type" => "text"),
    array(    "name" => "Site Title Color on Hover",
            "id" => $shortname."_home_colorhover",
            "std" => "#ffffff",
            "type" => "text"),
    array(    "name" => "Site Tagline Color",
            "id" => $shortname."_tagline_color",
            "std" => "#ddd",
			"type" => "text"),
    array(    "name" => "Navigation Buttons Background Color",
            "id" => $shortname."_nav_bgcolor",
            "std" => "#2D280C",
            "type" => "text"),
    array(    "name" => "Navigation Buttons Font Color",
            "id" => $shortname."_nav_color",
            "std" => "#dddddd",
            "type" => "text"),
    array(    "name" => "Navigation Buttons Font Color on Hover",
            "id" => $shortname."_nav_colorhover",
            "std" => "#ffffff",
            "type" => "text"),
    array(    "name" => "Search Button Background Color",
            "id" => $shortname."_search_bgcolor",
            "std" => "#888888",
            "type" => "text"),
    array(    "name" => "Search Button Background Color on Hover",
            "id" => $shortname."_search_bgcolorhover",
            "std" => "#dddddd",
            "type" => "text"),
    array(    "name" => "Search Button Font Color",
            "id" => $shortname."_search_color",
            "std" => "#ffffff",
            "type" => "text"),
    array(    "name" => "Search Button Font Color on Hover",
            "id" => $shortname."_search_colorhover",
            "std" => "#555555",
            "type" => "text"),
    array(    "name" => "Search Field Background Color",
            "id" => $shortname."_searchfield_bgcolor",
            "std" => "#666666",
            "type" => "text"),
    array(    "name" => "Search Field Font Color",
            "id" => $shortname."_searchfield_color",
            "std" => "#ffffff",
            "type" => "text"),
    array(    "name" => "Article Title Color",
            "id" => $shortname."_title_color",
            "std" => "#555555",
            "type" => "text"),
    array(    "name" => "Article Titles Color on Hover",
            "id" => $shortname."_title_colorhover",
            "std" => "#000000",
            "type" => "text"),
    array(    "name" => "Sidebar Background Color",
            "id" => $shortname."_sidebar_bgcolor",
            "std" => "#3D3B34",
            "type" => "text"),
    array(    "name" => "Sidebar Font Family",
            "id" => $shortname."_sidebar_fontfam",
            "type" => "select",
			"std" => "arial, sans-serif",
            "options" => array("arial, sans-serif", "verdana, sans-serif", "ms trebuchet, serif","arial black, sans-serif")),
    array(    "name" => "Sidebar Headline Color",
            "id" => $shortname."_sidebar_h2",
            "std" => "#eeeeee",
            "type" => "text"),
    array(    "name" => "Sidebar Link Color",
            "id" => $shortname."_sidebar_linkcolor",
            "std" => "#dddddd",
            "type" => "text"),
    array(    "name" => "Sidebar Link Color on Hover",
            "id" => $shortname."_sidebar_linkcolorhover",
            "std" => "#ffffff",
            "type" => "text"),
    array(    "name" => "Sidebar Font Color",
            "id" => $shortname."_sidebar_fontcolor",
            "std" => "#888888",
            "type" => "text"),
    array(    "name" => "Footer Font Color",
            "id" => $shortname."_foot_color",
            "std" => "#cccccc",
            "type" => "text"),
    array(    "name" => "Footer Link Color",
            "id" => $shortname."_foot_linkcolor",
            "std" => "#555555",
            "type" => "text"),
    array(    "name" => "Footer Link Color on Hover",
            "id" => $shortname."_foot_linkcolorhover",
            "std" => "#000000",
            "type" => "text"),
			"options" => array("visible", "hidden")),
    array(    "name" => "Category/Archive Page Title Color",
			"details" => "",
            "id" => $shortname."_pagetitle_color",
            "std" => "#f8f8f8",
            "type" => "text"),
    array(    "name" => "Category/Archive Page Title Font",
			"details" => "",
            "id" => $shortname."_pagetitle_font",
            "std" => "courier new, monospace",
			"type" => "select",
            "options" => array("courier new, monospace", "berling antiqua, bookman oldstyle, serif", "helvetica, verdana, sans-serif")),
    array(    "name" => "Meta Data Background Color",
            "id" => $shortname."_meta_bg",
            "std" => "#bbbbbb",
            "type" => "text"),
    array(    "name" => "Meta Data Top Border Color",
            "id" => $shortname."_meta_bordertop",
            "std" => "#dedede",
            "type" => "text"),
    array(    "name" => "Meta Data Bottom Border Color",
            "id" => $shortname."_meta_borderbottom",
            "std" => "#555555",
            "type" => "text"),
    array(    "name" => "Meta Data Font Color",
            "id" => $shortname."_meta_fontcolor",
            "std" => "#444444",
            "type" => "text"),
    array(    "name" => "Meta Data Link Color",
            "id" => $shortname."_meta_link",
            "std" => "#f7f7f7",
            "type" => "text"),
    array(    "name" => "Meta Data Link Color on Hover",
            "id" => $shortname."_meta_linkhover",
            "std" => "#ffffff",
            "type" => "text"),
    array(    "name" => "Alternate Comment Background Color",
            "id" => $shortname."_meta_bgalt",
            "std" => "#f8f8f8",
            "type" => "text"),
    array(    "name" => "Comment Link Color",
            "id" => $shortname."_comment_linkcolor",
			"std" => "#666",
            "type" => "text"),
    array(    "name" => "Comment Link Underline Color",
            "id" => $shortname."_comment_linklinecolor",
			"std" => "#ddd",
            "type" => "text"),
    array(    "name" => "Comment Link Hover Color",
            "id" => $shortname."_comment_linkhover",
			"std" => "#333",
            "type" => "text"),
    array(    "name" => "Comment Input Background Color",
            "id" => $shortname."_comment_bgcolor",
            "std" => "#ffffff",
            "type" => "text"),
    array(    "name" => "Comment Input Font Color",
            "id" => $shortname."_comment_color",
            "std" => "#000000",
            "type" => "text"),
    array(    "name" => "Comment Input Border",
            "id" => $shortname."_comment_border",
            "std" => "#cccccc",
            "type" => "text"),
    array(    "name" => "Submit Button Background Color",
            "id" => $shortname."_submit_bgcolor",
            "std" => "#555555",
            "type" => "text"),
    array(    "name" => "Submit Button Font Color",
            "id" => $shortname."_submit_color",
            "std" => "#dddddd",
            "type" => "text"),
			
);
function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." Options", "Current Theme Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
    
?>
<div class="wrap">
<h2><?php echo $themename; ?> settings</h2>
<form method="post">
<div style="margin:20px; padding:20px 5px 20px 5px; border:#CC0000 1px solid; background-color:#FBEAEA; text-align:center; font-size:1.03em; font-weight:bold;">
		<a href="<?php bloginfo('stylesheet_directory');?>/theme_options_help/theme_options_help.html" target="_blank">Right-click and select 'open in new window' for a visual aid to help identify the style areas below.</a><br /><br />
		<a href="<?php bloginfo('stylesheet_directory');?>/theme_options_help/theme_options_help.html" target="_blank"><img src="<?php bloginfo('stylesheet_directory');?>/theme_options_help/thumb.jpg" width="219" height="156" /></a>
		
</div>

<table class="optiontable">


<?php foreach ($options as $value) { 
    
if ($value['type'] == "text") { ?>
        
<tr valign="top"> 
    <th scope="row" style="margin:0px 10px 20px 10px; width:33%; padding:0.5em 0 0 0; text-align:right;"><?php echo $value['name']; ?>:</th>
    <td>
        <input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
    </td>
	<td style="color:#aaaaaa; font-size:0.9em;padding:0 0 20px 10px;"><?php echo $value['details']; ?></td>
</tr>

<?php } elseif ($value['type'] == "select") { ?>

    <tr valign="top"> 
        <th scope="row" style="margin:0px 10px 20px 10px;width:33%; padding:0.5em 0 0 0; text-align:right;"><?php echo $value['name']; ?>:</th>
        <td>
            <select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                <?php foreach ($value['options'] as $option) { ?>
                <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                <?php } ?>
            </select>
        </td>
		<td style="color:#444444; font-size:0.9em; padding:0 0 20px 10px;"><?php echo $value['details']; ?></td>	
    </tr>
	<!--<tr>
	<th scope="row"></th>
	<td>
            <select name="<?php// echo $value['id']; ?>" id="<?php// echo $value['id']; ?>">
                <?php// foreach ($value['options2'] as $option2) { ?>
                <option<?php// if ( get_settings( $value['id'] ) == $option2) { echo ' selected="selected"'; } elseif ($option2 == $value['std']) { echo ' selected="selected"'; } ?>><?php// echo $option2; ?></option>
                <?php// } ?>
            </select>

	</td>
	</tr>-->
<?php 
} 
}
?>

</table>

<p class="submit">
<input name="save" type="submit" value="Save changes" />    
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

function mytheme_wp_head() { ?>
<link href="<?php bloginfo('template_directory'); ?>/style.php" rel="stylesheet" type="text/css" />
<?php }

add_action('wp_head', 'mytheme_wp_head');
add_action('admin_menu', 'mytheme_add_admin'); ?>