<?php
require_once( dirname(__FILE__) . '../../../../wp-config.php');
require_once( dirname(__FILE__) . '/functions.php');
header("Content-type: text/css");

global $options;

foreach ($options as $value) {
    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); } }
?>

body{ 
font-family:<?php echo $FG_body_font; ?>;
color:<?php echo $FG_body_color; ?>;
background-color:<?php echo $FG_body_backgroundcolor; ?>;
}
.pagecolor {background-color: <?php echo $FG_page_color; ?>;}


#wrap { position:absolute; top:126px; right:0px; text-align:right; width:100%; }

#banner { height:126px; position:absolute; top:0; left:0; width:100%; display:block; background: <?php echo $FG_page_color; ?> url(images/banner.png) 0 0 repeat-x;}

#container, .container {position:relative; margin:0px 59px 0px 59px; width:auto; }

#content { padding:0; width:100%;  }

#tabs { text-align:left; display:block; margin-top:1em; margin-bottom:1em; line-height:1em;  }

#page { width:auto; position:relative; right:0px; vertical-align:top; text-align:right; height:100%;}

#innerwrap { position:relative; margin:0; padding:0;}

#post { margin-right:27%; position:relative; width:auto; margin-left:6px; padding-top:6px; padding-bottom:10px; }

h2.pagetitle { color:<?php echo $FG_pagetitle_color; ?>; text-align:left; padding:0.6em 1em 0.4em 8px; margin:0; font-family:<?php echo $FG_pagetitle_font; ?>; font-size:1.2em; }

a, a:visited { color:<?php echo $FG_link_color; ?>; font-family:Verdana, Arial, Helvetica, sans-serif; }

.entry { position:relative; margin:0; padding:0; font-size:1.2em;}

.box { background-color:#ffffff; padding:0px 30px 20px 30px; display:block;border:1px solid <?php echo $FG_box_border; ?>; margin:0; text-align:left; margin-bottom:5px; margin-right:12px; height:100%;}

.box h2 { margin-top:1em; line-height:2em; margin-bottom:1em;}

.box h2 a { color:<?php echo $FG_title_color; ?>;
}

.box h2 a:hover {color:<?php echo $FG_title_colorhover; ?>;}
.box p { font-size:<?php echo $FG_text_size; ?>; line-height:1.3em; }

#sidebar { width:26%; background-color:<?php echo $FG_sidebar_bgcolor; ?>; float:<?php echo $FG_sidebar_position;?>; margin-bottom:6px; margin-top:6px; margin-right:1%; text-align:left; font-family:<?php echo $FG_sidebar_fontfam;?>; font-size:1em; color:<?php echo $FG_sidebar_fontcolor; ?>;}

#sidebar

#tabs ul { margin:0; padding:0;}

#tabs ul li { display:inline; background-color:<?php echo $FG_nav_bgcolor; ?>; padding:0.4em 1.2em 0.4em 1.2em; margin-right:4px; font-family:verdana,Arial, Helvetica, sans-serif; letter-spacing:0.1em; }

#tabs ul li a { color:<?php echo $FG_nav_color; ?>; font-size:1em; text-decoration:none; }

#tabs ul li:hover {color:<?php echo $FG_nav_colorhover; ?>; }

#tabs ul li.current_page_item { border-bottom:2px solid <?php echo $FG_nav_colorhover; ?>; font-weight:bold; color:<?php echo $FG_nav_colorhover; ?>;}

#tabs ul li.current_page_item a { color:<?php echo $FG_nav_colorhover; ?>;}

#tabs ul li a:hover { color:<?php echo $FG_nav_colorhover; ?>; font-size:1em; text-decoration:none; }

.clear { clear:both;}

#head h1 { padding:0; margin:1em 0 0 0;}

#head h1 a { color:<?php echo $FG_home_color; ?>; font-family:Arial, Helvetica, sans-serif; letter-spacing:0.1em; text-decoration:none; font-weight:normal;}

#head h1 a:hover { color:<?php echo $FG_home_colorhover; ?>;}

.description { color:<?php echo $FG_tagline_color; ?>; font-size:0.9em; letter-spacing:0.07em; margin-top:6px; padding:0; font-family:ms trebuchet, tahoma, sans-serif; }

#sidebar ul { margin:10px; padding:0;}

#sidebar h2 { color:<?php echo $FG_sidebar_h2; ?>; margin:1.5em 0 0 0; font-size:1em;}

#sidebar ul li {
	list-style-type: none;
	margin-bottom: 0.7em;
	}

#sidebar ul p, #sidebar ul select {
	margin: 9px 0 10px;
	}

#sidebar ul ul, #sidebar ul ol {
	margin: 5px 0 0 10px;
	}

#sidebar ul ul ul, #sidebar ul ol {
	margin: 0 0 0 10px;
	}

ol li, #sidebar ul ol li {
	list-style: none;
	}

#sidebar ul ul li, #sidebar ul ol li {
	margin: 3px 0 0;
	padding: 0;
	list-style:none;
	
	}

#sidebar a { color:<?php echo $FG_sidebar_linkcolor; ?>; text-decoration:none;}

#sidebar a:hover { text-decoration:none; color:<?php echo $FG_sidebar_linkcolorhover; ?>;}

#sidebar ul li a:before { content:" > "; visibility:hidden;}

#sidebar ul li a:hover:before { content:" > "; visibility:visible; }

table#wp-calendar ul li a:before { content:""; visibility:hidden;}

table#wp-calendar ul li a:hover:before { content:""; visibility:hidden; }

input#s { width:61%; border:1px solid <?php echo $FG_searchfield_bgcolor; ?>; float:left; height:1.6em; font-family:courier new, sans-serif; vertical-align:middle; letter-spacing:0.07em; font-size:1.1em;background-color:<?php echo $FG_searchfield_bgcolor; ?>; color:<?php echo $FG_searchfield_color; ?>;}

#submit { background-color:<?php echo $FG_submit_bgcolor; ?>; padding:0.8em; color:<?php echo $FG_submit_color; ?>; border:1px solid <?php echo $FG_submit_color; ?>; letter-spacing:0.1em; cursor:pointer;}

#searchsubmit { font-size:0.8em; letter-spacing:0.08em; padding:0.1em; cursor:pointer; float:right; width:33%;  margin:0; border:1px solid #666;background-color:<?php echo $FG_search_bgcolor; ?>; color:<?php echo $FG_search_color; ?>;}

#searchsubmit {padding:0.5em;}

#submit:hover { background-color:<?php echo $FG_submit_color; ?>; color:<?php echo $FG_submit_bgcolor; ?>; border: 1px solid <?php echo $FG_submit_bgcolor; ?>;}

#searchsubmit:hover {background-color:<?php echo $FG_search_bghover; ?>;color:<?php echo $FG_search_colorhover; ?>; }

#footer { color:<?php echo $FG_foot_color; ?>;}

#footer a { color:<?php echo $FG_foot_linkcolor; ?>; border-bottom:1px solid <?php echo $FG_foot_linkcolor; ?>;  }

#footer a:hover { color:<?php echo $FG_foot_linkcolorhover; ?>;border-bottom:1px solid <?php echo $FG_foot_linkcolorhover; ?>;  }

.box .oop { font-family:Verdana, Arial, Helvetica, sans-serif;-moz-border-radius-bottomleft:14pt; -moz-border-radius-bottomright:14pt; margin:2em 0 1em 0; font-size:0.9em; letter-spacing:0.02em; background-color:<?php echo $FG_meta_bg; ?>; color:<?php echo $FG_meta_fontcolor; ?>; text-align:left; padding:0px 20px 0px 20px; border-top:3px solid <?php echo $FG_meta_bordertop; ?>; border-bottom:3px solid <?php echo $FG_meta_borderbottom; ?>; height:auto; }

.box .oop a { color:<?php echo $FG_meta_link; ?>; text-decoration:none; letter-spacing:0.05em; }

.box .oop a:hover { border-bottom:1px solid <?php echo $FG_meta_linkhover; ?>; color:<?php echo $FG_meta_linkhover; ?>;}

.alt { background-color:<?php echo $FG_meta_bgalt; ?>; font-size:0.9em;}

.comment li { padding:10px; font-size:0.9em; padding:10px;}

#comment { background-color:<?php echo $FG_comment_bgcolor; ?>; color:<?php echo $FG_comment_color; ?>; width:80%; border:1px solid <?php echo $FG_comment_border; ?>; }

.commentmetadata { float:right; margin-right:1em;}

.commentmetadata a { text-align:right; font-family:"Courier New", Courier, mono; font-size:0.9em; letter-spacing:0.2em; text-decoration:none; border-bottom:1px solid <?php echo $FG_comment_linklinecolor; ?>; color:<?php echo $FG_comment_linkcolor; ?>;}

.commentmetadata a:hover { color:<?php echo $FG_comment_linkhover; ?>; border-bottom:1px solid <?php echo $FG_comment_linkhover; ?>;}

.read { text-align:right; margin-bottom:1em; font-size:0.9em;}

.read a { text-decoration:none; color:<?php echo $FG_title_color; ?>; }

.read a:hover { color:<?php echo $FG_title_colorhover; ?>;}

.hidden { visibility:hidden;}

.alignleft { width:45%; text-align:left; float:left; margin-left:1em;}

.alignright { width:45%; text-align:right; float:right; margin-right:1em;}

.alignleft a, .alignright a { color:#eee; text-decoration:none;}

ul li.author { font-family:"Courier New", Courier, mono;}